# $Revision: 1.18 $, $Date: 2008/08/25 16:38:59 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
%define		_snap	20080813
Summary:	JPEG Scaling Library
Summary(pl.UTF-8):	Biblioteka do skalowania JPEG-ów
Name:		epeg
Version:	0.9.1.043
Release:	0.%{_snap}.1
License:	BSD
Group:		Libraries
Source0:	%{name}-%{version}-%{_snap}.tar.bz2
# Source0-md5:	a7331984bef4543a6ed1b385ccd7cc0d
URL:		http://enlightenment.org/Libraries/Epeg/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
BuildRequires:	libjpeg-devel
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Epeg is a library which provides facilities for scaling JPEG images
very quickly.

%description -l pl.UTF-8
Epeg to biblioteka ułatwiająca bardzo szybkie skalowanie obrazów JPEG.

%package libs
Summary:	Epeg library
Summary(pl.UTF-8):	Biblioteka epeg
Group:		Libraries

%description libs
Epeg library.

%description libs -l pl.UTF-8
Biblioteka epeg.

%package devel
Summary:	Epeg header files
Summary(pl.UTF-8):	Pliki nagłówkowe Epeg
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	libjpeg-devel

%description devel
Header files for Epeg.

%description devel -l pl.UTF-8
Pliki nagłówkowe Epeg.

%package static
Summary:	Static Epeg library
Summary(pl.UTF-8):	Statyczna biblioteka Epeg
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Epeg library.

%description static -l pl.UTF-8
Statyczna biblioteka Epeg.

%prep
%setup -q -n %{name}-%{version}-%{_snap}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN README
%attr(755,root,root) %{_bindir}/epeg

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepeg.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libepeg.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libepeg.so
%{_libdir}/libepeg.la
%{_includedir}/Epeg.h
%{_pkgconfigdir}/epeg.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libepeg.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: epeg.spec,v $
Revision 1.18  2008/08/25 16:38:59  pablo
- updated to 20080813 snap

Revision 1.17  2008/06/03 18:47:06  qboosh
- ghost soname symlink
- updated ac/am BRs

Revision 1.16  2008-06-01 14:22:54  cactus
- up to 0.9.1.042

Revision 1.15  2007-09-08 23:18:27  qboosh
- updated to 0.9.0.008

Revision 1.14  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.12  2006/12/23 19:50:19  arekm
- rel 2

Revision 1.11  2006/03/31 14:54:10  sparky
- up to 0.9.0.007

Revision 1.10  2006/03/17 20:50:24  sparky
- up to 0.9.0.006
- added pkgconfig file

Revision 1.9  2006/01/14 18:18:42  sparky
- up to 0.9.0.005

Revision 1.8  2005/11/30 14:00:55  charles
- bcond static_libs

Revision 1.7  2005/10/30 11:59:11  sparky
- library separated

Revision 1.6  2005/08/25 11:50:22  charles
- proper URL

Revision 1.5  2005/08/24 18:35:56  charles
- updated to 0.9.0.004
- new Source0 ("official" snapshots)

Revision 1.4  2005/07/10 07:17:59  sparky
- Source0: ftp -> http

Revision 1.3  2005/07/09 15:15:00  sparky
- new snap
- status: builds, works

Revision 1.2  2005/01/08 01:14:45  qboosh
- pl, unified

Revision 1.1  2005/01/07 19:38:22  sparky
- NEW EFL (E Fundation Libraries)
- builds well but still so much to do...
- anyone knows polish ?
